// ExtendedToolBar.cpp : implementation file
//

#include "stdafx.h"
#include "ComboBoxInToolbar.h"
#include "ExtendedToolBar.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CExtendedToolBar

CExtendedToolBar::CExtendedToolBar()
{
}

CExtendedToolBar::~CExtendedToolBar()
{
}


BEGIN_MESSAGE_MAP(CExtendedToolBar, CToolBar)
	//{{AFX_MSG_MAP(CExtendedToolBar)
	ON_WM_CREATE()
	ON_CBN_SELCHANGE(IDC_COMBO, ComboBoxSelChange)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CExtendedToolBar message handlers

CComboBox & CExtendedToolBar::GetComboBox()
{
	return m_ComboBox;
}

BOOL CExtendedToolBar::CreateEx(CWnd* pParentWnd,
								 DWORD dwCtrlStyle /* = TBSTYLE_FLAT*/,
								 DWORD dwStyle /* = WS_CHILD | WS_VISIBLE | CBRS_ALIGN_TOP*/,
								 CRect rcBorders /* = CRect(0, 0, 0, 0)*/,
								 UINT nID /* = AFX_IDW_TOOLBAR*/,
								 UINT nResourceID /* = IDR_MAINFRAME */)
{
	if (!CToolBar::CreateEx( pParentWnd, dwCtrlStyle,
			dwStyle, rcBorders, nID ) ||
			!CToolBar::LoadToolBar( nResourceID ))
		return FALSE;

	const int nWidth = 150;
	const int nHeight = 200;

	const UINT nItemIndex = 8;

	SetButtonInfo( nItemIndex, IDC_COMBO, TBBS_SEPARATOR, nWidth );

	CRect rcItem;
	GetItemRect( nItemIndex, &rcItem );
	rcItem.bottom = rcItem.top + nHeight;

	if (!m_ComboBox.Create( WS_CHILD | WS_VISIBLE | WS_VSCROLL | CBS_DROPDOWNLIST,
		rcItem, this, IDC_COMBO ))
	{
		DestroyWindow();
		return FALSE;
	}

	return TRUE;
}

void CExtendedToolBar::ComboBoxSelChange()
{
	CString strSelected;
	m_ComboBox.GetLBText( m_ComboBox.GetCurSel(), strSelected );
	CString strText;
	strText.Format( _T("The combo box item number %d selected.\n\nThe selected option is \"%s\"."),
		m_ComboBox.GetCurSel() + 1, (LPCTSTR) strSelected );
	::AfxMessageBox( strText );
}